

import static org.junit.Assert.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import java.util.Scanner; 
import java.io.File; 
import java.io.IOException; 
/**
 * The test class StudentTest.
 *
 * @author  (your name)
 * @version (a version number or a date)
 */
public class StudentTest
{
    Student s1= new Student("John Smith", "WH001", "1 A Street, Chico, CA", "01/01/2001", 4.0); 
    /**
     * Default constructor for test class StudentTest
     */
    public StudentTest()
    {
    }

    /**
     * Sets up the test fixture.
     *
     * Called before every test case method.
     */
    @Before
    public void setUp()
    {
    }

    @Test
    public void TestEmpty(){
       System.out.println(s1.getName());
    }
    
    @Test
    public void TestName()
    {
        s1.setName("Fred");
        assertEquals("Fred", s1.getName());
    }    
    
    @Test
    public void TestID()
    {
        s1.setID("WH001");
        assertEquals("WH001", s1.getID());
    }        
    
    @Test
    public void TestGroupName() throws IOException
    {
        Scanner input = new Scanner(new File(".\\src\\nameslong.txt")); 
        while (input.hasNext()){
          String nn = input.nextLine(); 
          s1.setName(nn);
          assertTrue("Name "+nn+" does not match required format", s1.getName().matches("\\w*\\s*\\w*"));
        }
        input.close(); 
    }            
    
    /**
     * Tears down the test fixture.
     *
     * Called after every test case method.
     */
    @After
    public void tearDown()
    {
    }
}

